function [X Y] = CooperativeRegion(A,B)
count = 1;
for w = 0:0.01:1
   u = 1 - w;
   for x = 0:0.01:u
      v = u - x;
      for y = 0:0.01:v
         z = 1 - w - x - y;
         X(count) = A(1,1) * w + A(1,2) * x + A(2,1) * y + A(2,2) * z;
         Y(count) = B(1,1) * w + B(1,2) * x + B(2,1) * y + B(2,2) * z;
         count = count + 1; 
      end
   end
end
end